%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% ICCCM2009 class for LaTeX files              v1.0 May-25-2007 %%
%%  provided by Lucio Demeio, Universita' Politecnica delle Marche%%
%%                                                                %%
%% The regular article class commands still exist and may be used.%%
%% 10pt and twocolumn options are disabled.                       %%
%%                                                                %%
%% \maketitle make the first page automatically                   %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{icccm15}
\DeclareOption{11pt}{\OptionNotUsed}
%\DeclareOption{11pt}{\OptionNotUsed}
\DeclareOption{twocolumn}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
\LoadClass[10pt]{article}
\RequirePackage{calc}
\RequirePackage{indentfirst}
\usepackage{times}
%% Title
\renewcommand{\@maketitle}{%
 %\newpage
 \thispagestyle{plain}
 \begin{flushleft}%
  {%3
   \fontsize{14}{14}\selectfont
   %\bfseries
   \@title
   %\MakeUppercase{\@title}
   \par
  }%3
  \vspace{12pt}%
  {%4
   \@author
   \par
  }%4
  %\vspace{14pt}%
  {%5
   \def\and{\\\vspace{14pt}}
   \normalfont\@address
   \par
  }%5
 \end{flushleft}
 \vspace{0mm}%
% \noindent\textbf{Key words:\space}\@keywords
% \par
% \vspace{18pt}%
 \noindent {{\em Keywords}:\space }{\@keywords \bigskip}
 %\par
 %\vfill
}% End of \@maketitle
\def\author{\@ifnextchar[{\@getshortauthor}{\@getauthor}}
\def\@getauthor#1{\gdef\@author{#1}\gdef\@shortauthor{#1}}
\def\@getshortauthor[#1]#2{\gdef\@shortauthor{#1}\gdef\@author{#2}}
\newcommand{\address}[1]{\gdef\@address{#1}}
\newcommand{\keywords}[1]{\gdef\@keywords{#1}}
\renewcommand{\abstract}[1]{\gdef\@abstract{#1}}
\newcommand{\heading}[1]{\gdef\@heading{#1}}
%\def\ps@myheadings{%
 %   \def\@oddfoot{\normalfont\hfil\thepage\hfil}
  %  \let\@evenfoot\@oddfoot
   % \def\@evenhead{%
    %    \parbox[t][11.5pt][t]{\textwidth}{%
     %   \centering
      %  \normalfont
       % \fontsize{10}{10}\selectfont
    %    \@heading\\[0.3pt]
%        \rule{\textwidth}{1pt}%
   %  }
   % }%%
  %  \let\@oddhead\@evenhead
  %  \let\@mkboth\@gobbletwo
  %  \let\sectionmark\@gobble
  %  \let\subsectionmark\@gobble
%}
\def\sectionLevel{1}
\def\sectionIndent{6mm}
\def\sectionSpaceBefore{0pt}
\def\sectionSpaceAfter{0pt}
\def\sectionStyle{\normalsize}
%\def\sectionStyle{\normalsize\bfseries\MakeUppercase}
\renewcommand{\section}{%
  \@startsection{section}{\sectionLevel}{\sectionIndent}{\sectionSpaceBefore}%
                {\sectionSpaceAfter}{\sectionStyle}}%
\def\sectionLevel{2}
\def\sectionIndent{6mm}
\def\sectionSpaceBefore{12pt}
\def\sectionSpaceAfter{1pt}
\def\sectionStyle{\normalsize}
%\def\sectionStyle{\normalsize\bfseries}
\renewcommand{\refname}{\textit{References}}
\renewcommand{\subsection}{%
  \@startsection{subsection}{\sectionLevel}{\sectionIndent}{\sectionSpaceBefore}%
                {\sectionSpaceAfter}{\sectionStyle}}%
\renewcommand{\@makecaption}[2]{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\normalsize\fontsize{10}{12}\selectfont #1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    \normalsize\fontsize{10}{12}\selectfont #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\renewcommand{\baselinestretch}{1.05}
\setlength{\oddsidemargin}{7.6mm}
\setlength{\voffset}{-22mm}
\setlength{\topmargin}{0mm}
\setlength{\headheight}{24.6mm}
\setlength{\headsep}{0mm}
\setlength{\textheight}{200mm}
\setlength{\textwidth}{145mm}
\setlength{\textfloatsep}{12pt}
\setlength{\abovedisplayskip}{6pt}
\setlength{\belowdisplayskip}{6pt}
\setlength{\parindent}{5mm}
\setlength{\abovecaptionskip}{6pt}
\setlength{\belowcaptionskip}{6pt}
\setlength{\itemsep}{0pt}
\AtBeginDocument{%
%  \pagestyle{myheadings}
  \pagestyle{plain}
  \maketitle
  %\newpage
  \let\maketitle\relax
}
\endinput